# 2. Consulta: Obter "Fields"

Um exemplo simples de uma consulta "Fields" que recupera a área em hectares.

{% hint style="info" %}
A unidade de área do "Field" pode ser uma das seguintes: `ACRES` ou `HECTARES` ou `SQUARE_METERS`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldInHectares {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    userUuid
    nome
    fields {
      uuid
      nome
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
Um exemplo mais detalhado, incluindo paginação e capacidades de filtragem, é descrito em [43: Query Get "Fields"](/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/43.-consulta-obter-fields.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/2.-consulta-obter-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
